 <template>
     <view style=" 100%;" >
         <web-view :src="allUrl"></web-view>
     </view>
 </template>
 
 <script>
     export default {
         data() {
             return {
                 allUrl:'',
                 viewerUrl: '/hybrid/html/web/viewer.html', // 格式化文件流的一个js 文件
             }
         },
         onLoad(options) {
             // encodeURIComponent 函数可把字符串作为 URI 组件进行编码。decodeURIComponent解码
             let fileUrl = 'http://221.10.127.50/wmdp-uploadfile/sap-reportform/2022/10/31/20b93371-bbf6-ed6f-cf4b-b1731956bfa2.pdf' 
             this.allUrl = this.viewerUrl + '?file=' + fileUrl
           }
     }
 </script>